> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agents For Board

> List all agents with access to a board.



## OpenAPI

````yaml /openapi.json get /api/v1/agents/board/{board_id}
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/agents/board/{board_id}:
    get:
      tags:
        - agents
      summary: List Agents For Board
      description: List all agents with access to a board.
      operationId: list_agents_for_board_api_v1_agents_board__board_id__get
      parameters:
        - in: path
          name: board_id
          required: true
          schema:
            title: Board Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AgentSummary'
                title: >-
                  Response List Agents For Board Api V1 Agents Board  Board Id 
                  Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentSummary:
      description: Schema for agent summary (without sensitive data).
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          title: Id
          type: string
        is_active:
          title: Is Active
          type: boolean
        last_used_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Used At
        name:
          title: Name
          type: string
        objective:
          anyOf:
            - type: string
            - type: 'null'
          title: Objective
        permission_flags:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Permission Flags
        preset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Preset Id
      required:
        - id
        - name
        - description
        - is_active
        - created_at
        - last_used_at
      title: AgentSummary
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````